메인 콘텐츠로 건너뛰기

Documentation Index

Fetch the complete documentation index at: https://docs.aihubmix.com/llms.txt

Use this file to discover all available pages before exploring further.

AIHubMix는 개발자가 다음을 포함한 여러 주요 모델에 액세스할 수 있도록 통합된 비디오 생성 API를 제공합니다:
  • veo 시리즈
  • sora 시리즈
  • wan 시리즈

요청 예시

curl -X POST "https://aihubmix.com/v1/videos" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer sk-***" \
  -d '{
    "model": "<model_path>",
    "prompt": "your prompt"
  }'

모델 경로

model에 대해 지원되는 값:

파라미터

prompt
String
필수
원하는 비디오에 대한 자연어 설명. 카메라 유형, 주제, 동작, 환경, 조명 및 카메라 움직임을 포함합니다.
model
String
위에 나열된 지원 모델 식별자 중 하나.
size
String
width x height 형식의 출력 해상도.
  • sora:720×1280(默认)、1280×720
  • veo:720P(默认),1080P
  • wan:480P(832x480、480x832、624x624),720P(1088x832、832x1088、960x960、1280x720、720x1280)和 1080P(1248x1632、1632x1248、1440x1440、1080x1920、1920x1080)。
seconds
String
생성된 비디오의 지속 시간.
  • sora:4s(default),8s,12s
  • veo:4s,6s,8s(default)
  • wan:5s,10s(0s only supported by wan2.5-t2v-preview)
input_reference
File
첫 번째 프레임으로 사용되는 참조 이미지. 지원되는 형식: image/jpeg,image/pbg ,image/webp
자세한 내용:Sora 2 API Reference

사용 예시

참조 이미지 없이 생성

curl -X POST "https://aihubmix.com/v1/videos" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer sk-***" \
  -d '{
    "model": "sora-2-pro",
    "prompt": "A astronaut floating in space, holding a glowing plant, with Earth and stars in the background, slow-motion movement",
    "size": "720x1280",
    "seconds": "4"
  }'

참조 이미지로 생성

curl --location --request POST 'https://aihubmix.com/v1/videos' \
--header 'Authorization: Bearer sk-***' \
--form 'prompt="The kitten is taking a nap under the tree."' \
--form 'model="sora-2"' \
--form 'size="1280x720"' \
--form 'seconds="4"' \
--form 'input_reference=@"xxx=/cat.jpeg"'

마지막 업데이트: 2026-06-01